
#include "MDD File System\FSIO.h"
#include "Lab5.h"


#define COPY_BUFFER_SIZE                      64
#define WRITE_YOUR_FIRST_FUNCTION_HERE        0
#define WRITE_YOUR_SECOND_FUNCTION_HERE       1

/*************************************************************************/
/* Lab 5 Part A                                                          */
/* Purpose: This function is called by the TYPE function.  It will       */
/*          read data from a file one byte at a time and output it to    */
/*          the HyperTerminal console                                    */
/* Input:   character: The buffer to copy the data into                  */
/*          filePointer: The file to read from                           */
/* Returns: int:    Returns the number of object successfully read       */
/*************************************************************************/

int Lab5PartA (char * character , FSFILE * filePointer)
{
    int result = 0;

    /*********************************************************************/
    /* Objective: Write a function to read one byte from a file          */
    /* Hints:                                                            */
    /*      Don't forget to store the return value from your function    */
    /*      You only need to read one one-byte object                    */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

    result = FSfread (character, 1, 1, filePointer);

    /*********************************************************************/

    return result;

}


/*************************************************************************/
/* Lab 5 Part B                                                          */
/* Purpose: This function is called by the COPY CON function.  It will   */
/*          write data into a file one byte at a time based on the user  */
/*          input from the HyperTerminal console                         */
/* Input:   character: The character to be written                       */
/*          filePointer: The file to write to                            */
/* Returns: int:    Returns the number of object successfully written    */
/*************************************************************************/

int Lab5PartB (char * character , FSFILE * filePointer)
{
    int result = 0;

    /*********************************************************************/
    /* Objective: Write a function to write one byte to a file           */
    /* Hints:                                                            */
    /*      Don't forget to store the return value from your function    */
    /*      You only need to write one one-byte object                   */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

    result = FSfwrite (character, 1, 1, filePointer);

    /*********************************************************************/

    return result;

}

/*************************************************************************/
/* Lab 5 Part C                                                          */
/* Purpose: This function is called by the COPY function.  It will read  */
/*          data from the source file and copy it into the destination   */
/*          file.                                                        */
/* Input:   source: The original file that contains the data             */
/*          destination: The file that the data will be copied into      */
/* Returns: None                                                         */
/*************************************************************************/

void Lab5PartC (FSFILE * source, FSFILE * destination)
{
    size_t  NumberOfObjectsRead;
    BYTE    readBuffer[COPY_BUFFER_SIZE];

    // Check to see if we've reached the end of the file that we're copying
    while (!FSfeof( source ))
    {

    /*********************************************************************/
    /* Objective: Write a function to read data from the file to copy    */
    /* Hints:                                                            */
    /*      Since we don't know what size our data objects are, just get */
    /*          objects with a size of 1 byte                            */
    /*      Try to read the maximum number of bytes that can fit into    */
    /*          your buffer.  The FSfeof function has already been       */
    /*          called                                                   */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

        NumberOfObjectsRead = FSfread (readBuffer, 1, COPY_BUFFER_SIZE, source);

    /*********************************************************************/

        if (NumberOfObjectsRead != 0)
        {

    /*********************************************************************/
    /* Objective: Write a function to write the data you just read to    */
    /*            the second file                                        */
    /* Hints:                                                            */
    /*      You should write the same number of objects you just read    */
    /*          (not necessarily the number you tried to read!)          */
    /*      Use the same size objects you used in the read function call */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

            if (FSfwrite (readBuffer, 1, NumberOfObjectsRead, destination) != NumberOfObjectsRead)

    /*********************************************************************/

            {
                UART2PrintString( " - Error writing file\r\n" );
                return;
            }
        }
        else
        {
            UART2PrintString( " - No characters could be read\r\n");
            return;
        }
    }
}


/*************************************************************************/
/* Lab 5 Part D                                                          */
/* Purpose: This function is called by the LOG function.  It will        */
/*          write the current time and a potentiometer reading to a file */
/* Input:   filePointer: The file to write to                            */
/* Returns: int:    Returns the number of object successfully written    */
/*************************************************************************/

void Lab5PartD (FSFILE * filePointer, unsigned char hour, unsigned char min, unsigned char second, unsigned int reading)
{
    /*********************************************************************/
    /* Objective: Write one function to output all of the data           */
    /* Hints:                                                            */
    /*      The time data is formatted as binary-coded decimal.  To      */
    /*          easily output it, use a hexadecimal (x) conversion       */
    /*      To correctly display the reading from the potentiometer, use */
    /*          a decimal (d) conversion                                 */
    /*      The precision on all of the time values should be 2.         */
    /*          This will cause at least two digits to be displayed,     */
    /*          even if the first digit is 0. Use a precision of 4 or 5  */
    /*          for your potentiometer reading.                          */
    /*      For this lab, you can ignore flag characters, field width,   */
    /*          and size specification.  All of these will be handled    */
    /*          automatically.                                           */
    /*      Separate the three values in your time with a colon (:).     */
    /*      Separate the data values from the reading using a comma (,)  */
    /*      The handout contains some useful APIs for this lab           */
    /*                                                                   */
    /* Sample Input:                                                     */
    /*      Time = 1:20:40 PM, Potentiometer reading = 0x02F3            */
    /* Arguments will equal:                                             */
    /*      hour = 0x13                                                  */
    /*      minute = 0x20                                                */
    /*      second = 0x40                                                */
    /*      reading = 0x2F3                                              */
    /* Sample Output:                                                    */
    /*      13:20:40,00755                                               */
    /*********************************************************************/

    FSfprintf (filePointer, "%.2x:%.2x:%.2x,%d", hour, min, second, reading);

    /*********************************************************************/

}






